[data-dropdown] {
    position: relative;

    &.open {
        z-index: 50;

        [data-dropdown-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-dropdown-toggle] {
    cursor: pointer;
}

[data-dropdown-content] {
    top: 100%;
    left: 0;
    margin-top: toRem(4);
    min-width: 100%;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.dropdown {

    &__toggle {
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        fill: #3D3D3D;
        width: toRem(24);
        height: toRem(24);
        background: transparent;
        transition: .3s;

        &:hover {
            fill: $blue;
            transition: .3s;
        }
    }

    &__content {
        overflow: hidden;
        background: $white;
        border-radius: 8px;
        border: 1px solid $line;

        &--right {
            right: 0;
        }
    }

    &__item {
        border: none;
        outline: none;
        color: $blue;
        fill: $blue;
        min-height: toRem(41);
        text-decoration: none;
        font-size: toRem(14);
        line-height: toRem(24);
        white-space: nowrap;
        background: $white;
        overflow: hidden;
        cursor: pointer;
        min-width: 100%;
        display: flex;
        align-items: center;
        padding: toRem(4) toRem(16);
        transition: .25s;

        span {
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            height: toRem(24);
            display: inline-block;
        }

        &:hover {
            color: $black;
            background-color: #F6F8FA;
            transition: .25s;
        }
    }

    &--right {

        [data-dropdown-content] {
            left: auto;
            right: 0;
        }
    }

    &.open {

        .dropdown {

            &__toggle {
                fill: $blue;
            }
        }
    }
}
